package com.retdata.yaoyibi.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 企业信息检索条件
 */
@Data
public class CsoSysDeptSearchParams {
    private String[] name;
    /**
     * 级别，从1开始，1要易业务管理平台，2药企，3一级CSO，4二级CSO，5其他
     */
    private Integer level;
    /**
     * 企业统一社会信用代码
     */
    private String taxCode;
    /**
     * 是否为根节点
     */
    private Boolean root;
    /**
     * 父节点id
     */
    private String parentId;
    /**
     * 是否获取下级企业数量
     */
    private boolean fetchChildrenCount;
    
    private String subjectType;

    private String subjectLocation;

    /**
     * 删除标志（0代表存在 1代表删除）
     */
    private String delFlag;
}
