package com.retdata.yaoyibi.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

@Data
@TableName("sys_user")
public class CsoSysUser {
    @TableId(type = IdType.AUTO)
    private Integer userId;
    
    private Integer deptId;
    
    private String drugEntId;

    /**
     * 用户
     */
    private String realname;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 是否删除标记
     */
    private String delFlag;

    /**
     * 用户状态: 0-活跃, 9-锁定
     */
    private String lockFlag;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 身份证号
     */
    private String idCardNumber;

    /**
     * 性别
     */
    private String gender;

    /**
     * 学历
     */
    private String degree;

    private String province;

    private String city;

    private String area;

    private String qualificationRecordNumber;

    private String qualificationsUrl;

}
