package com.retdata.yaoyibi.domain;

import lombok.Data;

@Data
public class ScoreStat {
    /**
     * 总积分
     */
    private int totalScore;
    
    /**
     * 企业包积分
     */
    private int entScore;
    
    /**
     * 用户包积分
     */
    private int userScore;

    /**
     * CSO1积分
     */
    private int cso1Score;

    /**
     * CSO2积分
     */
    private int cso2Score;

    /**
     * 积分包总数
     */
    private int totalCount;

    /**
     * 企业包数量
     */
    private int entCount;

    /**
     * 用户包数量
     */
    private int userCount;

    /**
     * CSO1包数量
     */
    private int cso1Count;

    /**
     * CSO2包数量
     */
    private int cso2Count;

    /**
     * 用户总数
     */
    private int totalUserCount;
    
    /**
     * 企业包用户数量
     */
    private int entUserCount;

    /**
     * 用户包用户数量
     */
    private int userUserCount;

    /**
     * CSO1包用户数量
     */
    private int cso1UserCount;

    /**
     * CSO2包用户数量
     */
    private int cso2UserCount;
}
