package com.retdata.yaoyibi.domain;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class SettledStat {

    /**
     * 总积分
     */
    private int totalScore;

    /**
     * 总金额
     */
    private BigDecimal totalAmount = BigDecimal.ZERO;
    
    /**
     * 积分包数量
     */
    private int totalPackages;
    
    /**
     * 人员数量
     */
    private int totalUsers;

    /**
     * 实际支付总金额
     */
    private BigDecimal totalActualAmount = BigDecimal.ZERO;
}
