package com.retdata.yaoyibi.domain;

import lombok.Data;

@Data
public class WmScorePackageExportRecord {

    /**
     * 源头包发包方情况(药企或代理)
     */
    private CsoSysDeptSummary rootDept;

    /**
     * 一级代理接到的积分包情况
     */
    private WmScorePackageExportDto firstAgentPackage;

    /**
     * 二级代理接到的积分包情况
     */
    private WmScorePackageExportDto secondAgentPackage;

    /**
     * C端积分包情况
     */
    private WmScorePackageExportDto userPackage;
    

}
