package com.retdata.yaoyibi.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.retdata.yaoyibi.domain.CsoSysDept;
import com.retdata.yaoyibi.domain.CsoSysDeptSearchDto;
import com.retdata.yaoyibi.domain.CsoSysDeptSearchParams;
import com.retdata.yaoyibi.domain.CsoSysDeptSummary;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;

public interface CsoSysDeptService extends IService<CsoSysDept> {
    Page<CsoSysDeptSearchDto> search(CsoSysDeptSearchParams searchParams, Pageable pageable);

    XSSFWorkbook export(CsoSysDeptSearchParams searchParams);
    
    List<CsoSysDeptSummary> listAllDeptSummary();
}
