package com.retdata.yaoyibi.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 企业信息
 */
@Data
@TableName("sys_dept")
public class CsoSysDept {
    @TableId(type = IdType.AUTO)
    private Integer deptId;
    private String name;
    /**
     * 级别，从1开始，1要易业务管理平台，2药企，3一级CSO，4二级CSO，5其他
     */
    private Integer level;
    /**
     * 签约灵工状态
     */
    private String subjectType;
    /**
     * 企业统一社会信用代码
     */
    private String deptCode;
    /**
     * 删除标志（0代表存在 1代表删除）
     */
    private String delFlag;
}
