package com.retdata.yaoyibi.domain;

import lombok.Data;

import java.util.Date;

@Data
public class CsoSysUserDetailDto {
    private Integer userId;

    /**
     * 用户
     */
    private String realname;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 是否删除标记
     */
    private String delFlag;

    /**
     * 用户状态: 0-活跃, 9-锁定
     */
    private String lockFlag;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 身份证号
     */
    private String idCardNumber;

    /**
     * 性别
     */
    private String gender;

    /**
     * 学历
     */
    private String degree;

    private String province;

    private String city;

    private String area;

    private String qualificationRecordNumber;

    private String qualificationsUrl;
    
    private String roles;
    
    private String subCertStatus;
    
    private String quizResult;

    /**
     * 派工方
     */
    private String deptName;

    /**
     * 服务企业
     */
    private String drugEntName;
    
    private Integer completedTasks;
    
    private Integer verifiedTasks;
    
    private String gigTypes;

}
