package com.retdata.yaoyibi.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

@Data
public class CsoSysUserSearchDto {
    private Integer userId;

    /**
     * 用户
     */
    private String realname;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 是否删除标记
     */
    private String delFlag;

    /**
     * 用户状态: 0-活跃, 9-锁定
     */
    private String lockFlag;

    /**
     * 创建时间
     */
    private Date createTime;

    private String roles;
    
    private String subCertStatus;
    
    private String quizResult;

    /**
     * 派工方
     */
    private String deptName;

}
