package com.retdata.yaoyibi.domain;

import lombok.Data;

import java.util.Collections;
import java.util.List;

@Data
public class GetApprovedScoreTimeStatByParamsResult {

    private List<ScoreTimeStat> scoreTimeStatList = Collections.emptyList();

    /**
     * 用户总数
     */
    private int totalUserCount;

    /**
     * 企业包用户数量
     */
    private int entUserCount;

    /**
     * 用户包用户数量
     */
    private int userUserCount;

    /**
     * CSO1包用户数量
     */
    private int cso1UserCount;

    /**
     * CSO2包用户数量
     */
    private int cso2UserCount;

}
