package com.retdata.yaoyibi.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.time.LocalDate;
import java.util.Date;

/**
 * 计划包
 */
@Data
public class SysImplPlanExportDto {
    /**
     * 计划包ID
     */
    @TableId(type = IdType.AUTO)
    private Long planId;

    /**
     * 计划包名称
     */
    private String planName;

    /**
     * 计划分值
     */
    private Long planScore;

    /**
     * 签发时间
     */
    private LocalDate planIssue;

    /**
     * 截止日期
     */
    private LocalDate planExpiry;

    /**
     * 来源公司
     */
    private CsoSysDeptSummary consignor;

    /**
     * 承接公司
     */
    private CsoSysDeptSummary consignee;

    /**
     * 推广药品
     */
    private String sku;

    /**
     * 下发状态
     */
    private String planState;

    /**
     * 拆解状态
     */
    private String disassembleState;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 待拆解分值
     */
    private Long availScore;

    /**
     * 已拆解分值
     */
    private Long disassembleScore;
    
    private Long parentId;
    
}
