package com.retdata.yaoyibi.domain;

import lombok.Data;

import java.util.Date;

@Data
public class SysImplPlanSearchParams {
    /**
     * 计划包名称
     */
    private String planName;

    /**
     * 创建时间大于等于
     */
    private Date createTimeGe;

    /**
     * 创建时间小于等于
     */
    private Date createTimeLe;

    /**
     * 来源公司ID
     */
    private Long consignorId;

    /**
     * 承接公司ID
     */
    private Long consigneeId;

    /**
     * 下发状态
     */
    private String planState;

    /**
     * 拆解状态
     */
    private String disassembleState;
    
    private Long parentId;

    private boolean fetchChildrenCount;
}
