package com.retdata.yaoyibi.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 积分包结算记录
 */
@Data
public class WmScorePackageSettleNote {

    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 积分包ID
     */
    private String packageId;

    /**
     * 结算状态
     */
    private Integer settleNoteStatus;

    /**
     * 结算的平台
     */
    private String subType;

    /**
     * 结算的渠道
     */
    private String subjectLocation;

    /**
     * 业务提交财务的时间
     */
    private Date subTime;

    /**
     * 财务提交灵工的时间
     */
    private Date subToGigTime;

    /**
     * 结算成功的时间
     */
    private Date notifyTime;

    /**
     * 结算金额
     */
    private BigDecimal settleAmount;

    /**
     * 实际支付金额
     */
    private BigDecimal actualAmount;
}
