package com.retdata.yaoyibi.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.retdata.yaoyibi.domain.CsoSysDeptSummary;
import com.retdata.yaoyibi.domain.SysImplPlan;
import com.retdata.yaoyibi.domain.SysImplPlanSearchDto;
import com.retdata.yaoyibi.domain.SysImplPlanSearchParams;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;

public interface SysImplPlanService extends IService<SysImplPlan> {
    Page<SysImplPlanSearchDto> search(SysImplPlanSearchParams searchParams, Pageable pageable);

    List<CsoSysDeptSummary> listConsignors();

    List<CsoSysDeptSummary> listConsignees();

    XSSFWorkbook export(SysImplPlanSearchParams searchParams);

}
