package com.retdata.yaoyibi.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.retdata.yaoyibi.domain.WmDaDrugEntDrugtable;
import com.retdata.yaoyibi.domain.WmDaDrugEntDrugtableSummary;

import java.util.Collection;
import java.util.List;
import java.util.Map;

public interface WmDaDrugEntDrugtableService extends IService<WmDaDrugEntDrugtable> {

    void parseDrugtable(String drugtable, Map<Integer, WmDaDrugEntDrugtableSummary> drugEntDrugtableMap);

    List<WmDaDrugEntDrugtableSummary> batchFetchDrugs(Collection<Integer> drugIds);

    String[] getDrugtableInfo(String drugtable, Map<Integer, WmDaDrugEntDrugtableSummary> drugEntDrugtableMap);
}
